Subject: Agenda for Chicago

From: Cyrus Daboo <[email-masked]>
Date: Fri, 29 Jun 2007 22:50:12 -0400

Hi folks,
Below is the proposed agenda for the Chicago meeting.

SIEVE IETF 69, Chicago, July 2007

Agenda

Document status review  ( 5 mins)
3028bis Status          (10 mins)
editheader Status       ( 5 mins)
Mime Loops              (15 mins)
Notify Status           ( 5 mins)
Notify Mailto Status    ( 5 mins)
Reject/Refuse Status    (10 mins)
Date                    ( 5 mins)
iHave                   (10 mins)
Notary                  (10 mins)
IMAP Sieve              (10 mins)
IMAP Metadata           (10 mins)
External Lists          (10 mins)
RegEx Status            (10 mins)

Total:                  120 mins

-- 
Cyrus Daboo

Date: Fri, 29 Jun 2007 22:50:12 -0400
From: Cyrus Daboo <[email-masked]>
To: SIEVE <[email-masked]>
Subject: Agenda for Chicago
Sender: [email-masked]

Hi folks,
Below is the proposed agenda for the Chicago meeting.

SIEVE IETF 69, Chicago, July 2007

Agenda

Document status review  ( 5 mins)
3028bis Status          (10 mins)
editheader Status       ( 5 mins)
Mime Loops              (15 mins)
Notify Status           ( 5 mins)
Notify Mailto Status    ( 5 mins)
Reject/Refuse Status    (10 mins)
Date                    ( 5 mins)
iHave                   (10 mins)
Notary                  (10 mins)
IMAP Sieve              (10 mins)
IMAP Metadata           (10 mins)
External Lists          (10 mins)
RegEx Status            (10 mins)

Total:                  120 mins

-- 
Cyrus Daboo

Date: Thu, 21 Jun 2007 14:38:12 +0200
From: Boris Andratzek <[email-masked]>
To: Barry Leiba <[email-masked]>
CC: [email-masked]
Subject: Re: mark shared folder's mails as read
Sender: [email-masked]

Barry Leiba wrote:
> 
>> The harder challenge seems to be the working on the shared folder and
>> leave the inbox untouched!
> 
> I don't see why that would be a problem, in general.
> 
> The real problem you have here is that Sieve won't do it as currently
> defined.  That's because it's only invoked during mail *delivery*, not
> during an IMAP operation, such as APPEND or COPY.  It seems like you
> need it during the IMAP operations.
> 
> Watch this spec: draft-ietf-lemonade-imap-sieve
> Assuming I ever get the time to get it finished (it needs a script
> management piece, using mailbox metadata, which I'm behind on getting
> defined.  Once it's ready, lobby the Cyrus folks to implement it, and
> then you can write a Sieve script to do what you want.
> 

Hej Barry,

thank you very much for your comment! I will observe tune in to the
development of this topic for it is an interesting feature!

Boris

Date: Tue, 19 Jun 2007 08:07:59 -0400
From: Barry Leiba <[email-masked]>
To: Boris Andratzek <[email-masked]>
CC: [email-masked]
Subject: Re: mark shared folder's mails as read
Sender: [email-masked]

> The harder challenge seems to be the working on the shared folder and
> leave the inbox untouched!

I don't see why that would be a problem, in general.

The real problem you have here is that Sieve won't do it as currently 
defined.  That's because it's only invoked during mail *delivery*, not 
during an IMAP operation, such as APPEND or COPY.  It seems like you 
need it during the IMAP operations.

Watch this spec: draft-ietf-lemonade-imap-sieve
Assuming I ever get the time to get it finished (it needs a script 
management piece, using mailbox metadata, which I'm behind on getting 
defined.  Once it's ready, lobby the Cyrus folks to implement it, and 
then you can write a Sieve script to do what you want.

-- 
Barry Leiba

Date: Thu, 14 Jun 2007 18:42:21 +0200
From: Boris Andratzek <[email-masked]>
To: Ken Murchison <[email-masked]>
CC: [email-masked]
Subject: Re: mark shared folder's mails as read
Sender: [email-masked]

Ken Murchison wrote:
> 
> Boris Andratzek wrote:
>> Hej all,
>>
>>
>> I'm new to this list and subscribed because I hope to get some help in
>> an special case. I already googled a lot, and wrote to lists from debian
>> and cyrus.
>>
>> I have a cyrus-imapd on Debian Sarge working well I created a shared
>> folder and let some users have full access to this shared folder. Now if
>> one user drops a mail in this shared folder it appears marked as unread
>> for all other users. That is what I want to get rid of. So what I need
>> is a tool, that works only on that shared folder, and marks all mails as
>> read. The user's inbox should not be affected!
>>
>> I think this should be possible with sieve, what do you think? Thanks in
>> advance for ideas!
> 
> Cyrus treats the \Seen flag as per-user, not as a global flag.  So there
> is no way to mark a message read for all users.
> 

Hej Ken,

thanks for you comment!
Yes, I already included that in my plans! There are only few users (5)
to be equipped with that feature so I thought about having a
sieve-script for each of them!?
The harder challenge seems to be the working on the shared folder and
leave the inbox untouched!

Boris

Date: Thu, 14 Jun 2007 12:22:58 -0400
From: Ken Murchison <[email-masked]>
Organization: Carnegie Mellon University
To: Boris Andratzek <[email-masked]>
CC: [email-masked]
Subject: Re: mark shared folder's mails as read
Sender: [email-masked]

Boris Andratzek wrote:
> Hej all,
> 
> 
> I'm new to this list and subscribed because I hope to get some help in
> an special case. I already googled a lot, and wrote to lists from debian
> and cyrus.
> 
> I have a cyrus-imapd on Debian Sarge working well I created a shared
> folder and let some users have full access to this shared folder. Now if
> one user drops a mail in this shared folder it appears marked as unread
> for all other users. That is what I want to get rid of. So what I need
> is a tool, that works only on that shared folder, and marks all mails as
> read. The user's inbox should not be affected!
> 
> I think this should be possible with sieve, what do you think? Thanks in
> advance for ideas!

Cyrus treats the \Seen flag as per-user, not as a global flag.  So there 
is no way to mark a message read for all users.

-- 
Kenneth Murchison
Systems Programmer
Project Cyrus Developer/Maintainer
Carnegie Mellon University

Date: Thu, 14 Jun 2007 17:17:57 +0200
From: Boris Andratzek <[email-masked]>
To: [email-masked]
Subject: mark shared folder's mails as read
Sender: [email-masked]

Hej all,

I'm new to this list and subscribed because I hope to get some help in
an special case. I already googled a lot, and wrote to lists from debian
and cyrus.

I have a cyrus-imapd on Debian Sarge working well I created a shared
folder and let some users have full access to this shared folder. Now if
one user drops a mail in this shared folder it appears marked as unread
for all other users. That is what I want to get rid of. So what I need
is a tool, that works only on that shared folder, and marks all mails as
read. The user's inbox should not be affected!

I think this should be possible with sieve, what do you think? Thanks in
advance for ideas!

Boris

Date: Wed, 13 Jun 2007 17:22:06 +0100
From: Alexey Melnikov <[email-masked]>
To: [email-masked]
Subject: Sieve WG meeting in Chicago
Sender: [email-masked]

This is still subject to last minute changes, but tentatively the Sieve WG has a two hour slot on TUESDAY, July 24, from 13:00 till 15:00.